Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Selecting (SelectSet) an Item from the Model Browser in a DrawingDocument

1 REPLY 1
SOLVED
Reply
Message 1 of 2
Anonymous
972 Views, 1 Reply

Selecting (SelectSet) an Item from the Model Browser in a DrawingDocument

Hello All,

 

Please look at the image (also Attached)DrawingSelectSet.png

 

I want to fetch either,

 

<> The name of the item selected OR

<> The componentOccurrence.Name of the referenced Assembly OR

<> (the best) The DrawingCurve(s) selected in the Window

 

Keep in mind that the idea is it to allow the user to make more than one selection (i.e. multiple components in browser window)

 

I have an alternative to make the user to manually select the drawingCurves in the Window, but that is not an elegnt solution to hat I am trying to achive.

 

If anyone can give me a heads up on what is the object type of the item I am selecting (I tried ComponentOccurrence but failed), even that would be very helpful.

 

Thanking you all,

Wajih

 

1 REPLY 1
Message 2 of 2
adam.nagy
in reply to: Anonymous

Hi Wajih,

 

If I understand you correctly then the following VBA code should be of help:

Function GetSelectedItems(nodes As BrowserNodesEnumerator) As String
    Dim node As BrowserNode
    For Each node In nodes
        If node.Selected Then
            GetSelectedItems = GetSelectedItems + vbCrLf + node.BrowserNodeDefinition.Label
        End If
        
        GetSelectedItems = GetSelectedItems + GetSelectedItems(node.BrowserNodes)
    Next
End Function

Sub GetSelectedItemsInBrowser()
    Dim bp As BrowserPane
    Set bp = ThisApplication.ActiveDocument.BrowserPanes("DlHierarchy")
    
    Dim items As String
    items = GetSelectedItems(bp.TopNode.BrowserNodes)
    
    MsgBox items
End Sub

Cheers,



Adam Nagy
Autodesk Platform Services

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report